.686p
.model  flat, stdcall
.nolist
include windows.inc

inv equ invoke

uselib  MACRO   libname
    include     libname.inc
    includelib  libname.lib
ENDM

uselib user32
uselib kernel32
uselib comctl32
uselib shell32
uselib masm32
uselib GridU

.listall

.data?
hWin  dd ?
hInst dd ?
hGrid dd ?
HorzLinesColor dd ?
.code
Program:
    inv InitCommonControls
    inv GetModuleHandle, NULL
    mov hInst,eax
    inv LoadGridU
    DlgProc PROTO :DWORD,:DWORD,:DWORD,:DWORD
    inv DialogBoxParam, hInst, 101, 0, ADDR DlgProc, 0
    inv ExitProcess, eax

DlgProc proc hWnd:DWORD, uMsg:DWORD, wParam:DWORD, lParam:DWORD
    local rownum,colnum,val,buff[10]
    .if uMsg == WM_COMMAND
        ;.if    wParam == buttonid
        ;.endif
    .elseif uMsg== WM_INITDIALOG
        mov eax,hWnd    ; save handle for everyone
        mov hWin,eax
        inv GetDlgItem,hWin,1002
        mov hGrid,eax   ; save handle
        gmsg hGrid,SetGridSize,16,16      ; set size to 16 cols by 16 rows
        gmsg hGrid,SetColWidth,gAll,30    ; set width of all columns 
        gmsg hGrid,SetRowHeight,gAll,15   ; set height of all rows
        gmsg hGrid,SetColVisible,0,FALSE  ; set header invisible
        gmsg hGrid,SetRowVisible,0,FALSE  ; set header invisible
        gmsg hGrid,SetDrawBorder,FALSE    ; don't draw the border
        gmsg hGrid,SetHorzLinesVisible,FALSE    ; don't show the grid lines
        gmsg hGrid,SetVertLinesVisible,FALSE
        gmsg hGrid,SetCellTextAlignment,gAll,gAll,DT_RIGHT  ; right justify text
        mov val,0
        mov rownum,1 ; row 1
        .repeat   ; step through rows
            mov colnum,1 ; col 1
            .repeat ; step through cols
                inv dwtoa,val,addr buff     ; from masmlib
                gmsg hGrid,SetCellText,colnum,rownum,addr buff
                inc val
                inc colnum
            .until colnum>16
            inc rownum
        .until rownum>16
        gmsg hGrid,SetAutoPaint,TRUE    ; refresh screen                

    .elseif uMsg == WM_CLOSE
        inv EndDialog,hWnd,0
    .endif

    xor eax,eax
    ret
DlgProc endp

end Program